# Data Sources

Create and delete data sources; list datasets for a data source.

## Create a data source

 - [POST /v1/data-sources](https://developers.databox.com/docs/api/api.databox.com/data-sources/datasources_postcreate.md): Creates an ingestion data source (a container for one or more datasets).

If accountId is provided, the data source is created in that account;
otherwise, it is created in the account associated with the API key.

Requires a valid x-api-key with permission to create data sources in the target account.

## Delete a data source

 - [DELETE /v1/data-sources/{dataSourceId}](https://developers.databox.com/docs/api/api.databox.com/data-sources/datasources_delete.md): Permanently deletes the specified ingestion data source (dataSourceId).

Deleting a data source also deletes all datasets it contains (and their data). This action is irreversible.

Requires a valid x-api-key with permission to manage data sources in the target account.

## List datasets

 - [GET /v1/data-sources/{dataSourceId}/datasets](https://developers.databox.com/docs/api/api.databox.com/data-sources/datasources_getdatasets.md): Retrieves all datasets that belong to the specified data source (dataSourceId).

